Anonymous Login
2019-04-25 02:49 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000515v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:48
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000515: Detailed percent complete tracking
DescriptionAt present, the Task's percent complete is on the Task (and tasks table) itself. While this makes loading the Task View easy, it also makes it so that we lose the progression over time.

For example, if I update it from 0 to 50% on Monday and then to 95% on Friday and then JoeBob updates it to 55% after me, then it's 55% complete. It could be a simple oversight where I hit "save" before him, but there's no record of who updated what when.
Additional InformationThe solution I see is attaching the percent complete to the Task Log (on the task_logs table) which would connect it with a person and a timestamp. Then at the same time, duplicate the latest percent complete on the Task itself.

It's slightly denormalized but no worse than how it works on the projects table.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002140

caseydk (administrator)

Resolved last week
+Notes

-Issue History
Date Modified Username Field Change
2010-07-21 06:15 caseydk New Issue
2011-08-09 13:03 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-08-10 05:58 caseydk Note Added: 0002140
2011-08-10 05:58 caseydk Status new => resolved
2011-08-10 05:58 caseydk Resolution open => fixed
2011-08-10 05:58 caseydk Assigned To => caseydk
2011-08-16 23:48 caseydk Status resolved => closed
2011-08-16 23:48 caseydk Fixed in Version => 2.4
+Issue History